Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 648610 (CVE-2018-6459) - <net-vpn/strongswan-5.6.2: Insufficient Input Validation in RSASSA-PSS Signature Parser (CVE-2018-6459)
Summary: <net-vpn/strongswan-5.6.2: Insufficient Input Validation in RSASSA-PSS Signat...
Status: RESOLVED FIXED
Alias: CVE-2018-6459
Product: Gentoo Security
Classification: Unclassified
Component: Vulnerabilities (show other bugs)
Hardware: All Linux
: Normal minor (vote)
Assignee: Gentoo Security
URL: https://www.strongswan.org/blog/2018/...
Whiteboard: B3 [glsa+ cve]
Keywords:
Depends on:
Blocks:
 
Reported: 2018-02-23 14:52 UTC by GLSAMaker/CVETool Bot
Modified: 2018-11-26 18:37 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description GLSAMaker/CVETool Bot gentoo-dev 2018-02-23 14:52:45 UTC
CVE-2018-6459 (https://nvd.nist.gov/vuln/detail/CVE-2018-6459):
  The rsa_pss_params_parse function in
  libstrongswan/credentials/keys/signature_params.c in strongSwan 5.6.1 allows
  remote attackers to cause a denial of service via a crafted RSASSA-PSS
  signature that lacks a mask generation function parameter.
Comment 1 Thomas Deutschmann gentoo-dev 2018-11-15 12:37:50 UTC
Added to an existing GLSA request.
Comment 2 GLSAMaker/CVETool Bot gentoo-dev 2018-11-26 18:37:14 UTC
This issue was resolved and addressed in
 GLSA 201811-16 at https://security.gentoo.org/glsa/201811-16
by GLSA coordinator Aaron Bauman (b-man).